function [N_r R_i B_matrix A_ir R]=wholesaler_input(filename,sheet,R_col,C_col,Last_col,maxPeriode,Levering_col,B_str,Time_Base)
doc = xlsread(filename,sheet);
%doc(1,:)=[];
[I J]=size(doc);

RawRuter(:,1)=unique(doc(:,R_col));
R=size(RawRuter,1);
RawRuter(:,2)=zeros(R,1);
RawRuter(:,3)=zeros(R,1);
RawKunder=unique(doc(:,C_col));
C=size(RawKunder,1);
RawKunder=[RawKunder zeros(C,1)];
Ruter=cell([1,R]); %antall celler: n
A_ir=zeros(C,R);
B_matrix_Streng=zeros(R,maxPeriode);
B_matrix_Mild=zeros(R,maxPeriode);
B_matrix_Free=zeros(R,maxPeriode);


for i=1:I
    for r=1:R
        if RawRuter(r,1)==doc(i,R_col)
            RawRuter(r,2)=r;
            periode=doc(i,Last_col);
            RawRuter(r,3)=periode;
            B_matrix_Streng(r,periode)=1;           %lager streng B_rt
            for n=mod(periode,4):4:maxPeriode
                B_matrix_Mild(r,n)=1;               %lager gjentagene B_rt
            end
            for c=1:C
                RawKunder(c,2)=c;
                if RawKunder(c,1)==doc(i,C_col)
                    A_ir(c,r)=1;                %lager A_ir matrise
                end
            end
        end
    end
end

if upper(B_str)=='S'
B_matrix=B_matrix_Streng;
elseif upper(B_str)=='M'
B_matrix=B_matrix_Mild;
elseif upper(B_str)=='F'
B_Free=zeros(1,maxPeriode);
B_Free(1,Time_Base)=1;
B_matrix_Free=[repmat(B_Free,R,1)];
B_matrix=B_matrix_Free;
else disp('Error when creating B matrix');
    return
end

[n,h]=size(A_ir);

N_r=cell([1,h]); %antall celler: h
R_i=cell([1,n]); %antall celler: n

for i=1:n
    for r=1:h
        if A_ir(i,r)==1
            R_i{i}(end+1)=r;
            N_r{r}(end+1)=i;
        end
    end
end

end